# Class: apache
#
#
class apache {
    package { "apache":
        name => "httpd",
        ensure => installed,
    }

    service{ "httpd":
        ensure => running,
        enable => true,
        hasrestart  => true,
        hasstatus   => true,
        require => Package["apache"],
    }

    file { "/etc/httpd/conf/httpd.conf":
        content => template("apache/httpd.conf.erb"),
        require => Package["apache"],
        notify => Service["httpd"],
    }
}